DCMTK - Bug #412

Fehlerhafte Logger-Konfigurationsdatei fiihrt zum Absturz
2012-05-10 10:04 - J6rg Riesmeier

Status: Closed Start date: 2012-05-10
Priority: High Due date:

Assignee: Uli Schlachter % Done: 0%
Category: Estimated time: 0:00 hour

Target version:

Module: oflog Compiler:

Operating System:

Description
Aus einer E-Mail von Heyo Spekker:
anbei die logfile.cfg, die direkt zum Absturz fihrt.

Grund ist, dass ich bei der Angabe des Conversion Patterns
"console.layout" statt "logfile.layout" geschrieben hatte.

History

#1 - 2012-05-10 14:28 - J6rg Riesmeier

Hier der Call Stack fiir den Aufruf von dcm2pnm mit der besagten Logger Config auf caesar:

Starting program: /export/home/joergr/source/dcmtk/dcmimage/apps/dcm2pnm —lc ~/tmp/logfile_err.cfg ~/data/dico
m/images/TROSTEN.dcm -o
[Thread debugging using libthread_db enabled]

Program received signal SIGSEGV, Segmentation fault.

0x0000000000636180 in OFListBase::base_begin (this=0x0) at ../../ofstd/include/dcmtk/ofstd/oflist.h:128

128 OFListLinkBase * base_begin() const { return afterLast->next; }

(gdb) where

#0 0x0000000000636180 in OFListBase::base_begin (this=0x0) at ../../ofstd/include/dcmtk/ofstd/oflist.h:128

#1 0x00000000006c24fd in OFList<dcmtk::logdcplus::pattern::PatternConverter*>::begin (this=0x0) at ../../ofst
d/include/dcmtk/ofstd/oflist.h:343

#2 0x00000000006cldcc in dcmtk::logdcplus::PatternLayout::formatAndAppend (this=0x9d6cb0, output=..., event=.
..) at patlay.cc:919

#3 0x00000000006cld2e in dcmtk::logd4cplus::PatternlLayout::formatAndAppend (this=0x9d6cb0, output=..., event=.
..) at patlay.cc:911

#4 0x00000000006b1915 in dcmtk::logdcplus::FileAppender: :append (this=0x9d8be0, event=...) at fileap.cc:261
#5 0x00000000006ceble in dcmtk::logd4cplus::Appender: :doAppend (this=0x9d8bel, event=...) at appender.cc:206

#6 0x00000000006cbb23 in dcmtk::logd4cplus::helpers: :AppenderAttachableImpl: :appendLoopOnAppenders (this=0x9c8
70, event=...) at apndimpl.cc:183

#7 0x00000000006b9c54 in dcmtk::logd4cplus::spi::LoggerImpl::callAppenders (this=0x9cbafl, event=...) at logim
pl.cc:62
#8 0x00000000006bal57 in dcmtk::logdcplus::spi::LoggerImpl::forcedLog (this=0x9cbaf0, 11_=10000, message=...,

file=0x6e848a "dcm2pnm.cc", 1ine=898, function=0x6e9210 "int main(int, char**)")
at logimpl.cc:160

#9 0x00000000006b9398 in dcmtk::logd4cplus::Logger::forcedlog (this=0x9c7010, 11=10000, message=..., file=0x6e
848a "dcm2pnm.cc", 1ine=898, function=0x6e9210 "int main(int, char**)") at logger.cc:245
#10 0x0000000000411e8c in OFLogger::forcedLog (this=0x9c7010, 11=10000, message=..., file=0x6e848a "dcm2pnm.cc

", 1line=898, function=0x6e9210 "int main (int, char**)")
at ../../oflog/include/dcmtk/oflog/oflog.h:91
#11 0x0000000000408daf in main (argc=5, argv=0x7fffffffe588) at dcm2pnm.cc:898

#2 - 2012-05-14 10:09 - Uli Schlachter

- Status changed from New to Closed

Behoben durch folgenden Commit: http:/git.dcmtk.org/web?
